Hace 13 años | Por acastro a mangasverdes.es
Publicado hace 13 años por acastro a mangasverdes.es

Al parecer el debate está en quien debería recibir las críticas por los problemas que se detecten en los Plugins. ¿El equipo de Wordpress por integrarlos sin verificarlos suficientemente, o los autores de los plugins por no hacer lo propio?

Comentarios

a
autor
editado

Yo creo que cuando algo sale mal, conviene contemplar responsabilidades compartidas. Es lo más justo.

D
editado

Es como culpar al firefox si una extensión no se actualiza. Vamos una tonteria.

a
autor
editado

Además, no es lo mismo. Una extensión de firefox puede comprometer el pc de un usuario (si, tiene riesgo), pero tiene mayor riesgo comprometer la seguridad de un servidor (donde estés alojando el blog).



Nadie desarrolla para facilitar la vuelta atrás. Instalas y para delante. Si no hiciste copia de seguridad te jodes, y las copias de seguridad son muy voluminosas e incómodas, y los problemas siempre te pillan en el peor momento.

darkshram
editado

Leo la nota original en ingles que dice:



Disclaimer: I am not a plugin author. This post is filled with my own opinions and is taken from an end user point of view. If you are a plugin author, be sure to add your point of view in the comments.



Es decir, es la opinión de un usuario final, no de un desarrollador de wordpress,ni de un desarrollador de plugins.



La responsabilidad de que funcione o no algo en un lanzamiento de Wordpress y de Wordpress por incluir componentes sin probarlos. El programador de un plugin tiene la responsabilidad de mantenerlo, pero quien decide si va o no en un lanzamiento de Wordpress es Wordpress.



En mi opinión, después de meditarlo, esta nota es irrelevante.

onnabancho
editado

#7: La relevancia es que está agregada a planet.wordpress.org, el blog que te sale en el dashboard de todos los blogs que usan WP.

D
editado

Los dos.

onnabancho
editado

En el post original en Weblog Tools Collection alguien sugiere que el equipo de desarrollo les haga la vida un poquito más fácil a los creadores de plugins detallando en un documento cada vez que hagan una actualización cuáles son los cambios que pueden afectar a los plugins. Como idea me parece de lo más básica.

#comment-1235915" target="_blank" class="content-link" style="color: rgb(227, 86, 20)">weblogtoolscollection.com



El comentarista que se quejaba de problemas como romper el soporte de ajax a lo bestia y sin avisar también tiene más razón que un santo.

#comment-1235893" target="_blank" class="content-link" style="color: rgb(227, 86, 20)">weblogtoolscollection.com

D
editado

#3 en firefox existe un sistema de checkeo de versiones a la hora de codear extesiones, por lo que tú, como autor de una extensión, puedes permitir un "rango" de versiones de firefox compatibles.



Además, no es lo mismo. Una extensión de firefox puede comprometer el pc de un usuario (si, tiene riesgo), pero tiene mayor riesgo comprometer la seguridad de un servidor (donde estés alojando el blog).



Los autores deberian mantener sus códigos para estar a la última y el equipo de wordpress debería analizar cualquier code que reciba una crítica, para poder retirarlo a tiempo en caso de una posible vulnerabilidad.